%define aurox_ver 9.3
%define rel 1

%define desktop_vendor aurox

%define name	trackballs
%define Name	Trackballs
%define version 1.0.0
%define summary	A Marble Madness-like game

Name:		%{name}
Version:	%{version}
Release: %{aurox_ver}.aur.%{rel}
Summary:	%{summary}
Summary(fr):	Un jeu inspir de Marble Madness
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}.png
Patch:		trackballs-0.9.1-install.patch
BuildRequires:	guile-devel >= 1.6
BuildRequires:	SDL-devel >= 1.2
BuildRequires:	SDL_ttf-devel >= 2.0
BuildRequires:	SDL_mixer-devel >= 1.2
BuildRequires:	SDL_image-devel >= 1.2
#BuildRequires:	libMesaGLU1-devel
BuildRequires:  XFree86-devel
Requires:	guile >= 1.6
Requires:	XFree86-Mesa-libGL
Requires:	SDL >= 1.2
Requires:	SDL_ttf >= 2.0
Requires:	SDL_mixer >= 1.2
Requires:	SDL_image >= 1.2
Group:		Amusements/Games
License:	GPL
URL:		http://trackballs.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Trackballs is a simple game similar to the
classical game Marble Madness, on the Amiga,
in the 80's. By steering a marble ball through
a labyrinth filled with vicious hammers, pools
of acid and other obstacles the player collects
points.

When the ball reaches the destination you continue
on the next, more difficult, level - unless, of
course, the time runs out.

You steer the ball using the mouse and by pressing
>spacebar< you can jump a short distance.

When all levels are finished, an editor mode permits
to create new ones ("trackballs -e").
All is explained in the docs.

%prep
%setup -q
%patch -p1

%build
export LDFLAGS=-L%{_prefix}/X11R6/lib
%configure --bindir=%{_bindir} \
           --datadir=%{_datadir} \
           --with-highscores=%{_localstatedir}/%{name}/highScores
make

%install
rm -rf $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT make install

# icons
install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png 


cat > %{name}.desktop <<EOF
[Desktop Entry]
Name=%{Name}
Comment=%{summary}
Icon=%{name}.png
Exec=%{_bindir}/%{name}
Terminal=false
Type=Application
Encoding=UTF-8
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Aurox-Extra                              \
  --add-category Application                                \
  --add-category Game                                       \
  --add-category ArcadeGame                                 \
  %{name}.desktop


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING FAQ INSTALL NEWS README TODO README.html header.jpg editor.jpg screen.jpg
%attr(2755,root,games) %{_bindir}/%{name}
%attr(0664,root,games) %{_localstatedir}/%{name}/highScores
%{_datadir}/%{name}
%{_mandir}/man6/%{name}.6.gz
%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Feb 10 2004 Aurox Team <aurox@aurox.org> 0:1.0.0-9.3.aur.1
- release 1.0.0

* Tue Apr 01 2003 Guillaume Bedot <guillaume.bedot@wanadoo.fr> 0.9.0-1mdk
- added images for the docs
- fixed man page path
- rediffed the patch
- update to 0.9.0

* Sun Mar 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-1mdk
- rediff the patch
- spec fixes
- fix buildrequires
- fix URL
- new version

* Tue Feb 25 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.1-1mdk
- contributed by Guillaume "yet another homonym" Bedot <guillaume.bedot@wanadoo.fr>
